
Redmine - Defect #36059

Fulltext search in timelog comments

2021-10-27 16:34 - Jan K.

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version:  

Description

The Redmine Fulltext search is a great feature. We use it all the time.

Unfortunately it does not search in the Comments of the Timelogs.

Is there any chynce to add this datasource to the fulltext search?

Related issues:

Is duplicate of Redmine - Feature #4138: Add spent time comments in search Needs feedback2009-10-29

History

#1 - 2022-02-10 02:43 - Yuichi HARADA

- File add-spent-time-to-search.png added

- File 36059.patch added

I fixed it so that comments on spent time can be searched. I have attached a patch.

 add-spent-time-to-search.png 

diff --git a/app/models/time_entry.rb b/app/models/time_entry.rb

index 88e1796f34..5422e3f273 100644

--- a/app/models/time_entry.rb

+++ b/app/models/time_entry.rb

@@ -28,6 +28,8 @@ class TimeEntry < ActiveRecord::Base

   belongs_to :activity, :class_name => 'TimeEntryActivity'

   acts_as_customizable

+  acts_as_searchable :columns => ['comments'],

+                     :preload => [:project, :issue]

   acts_as_event(

     :title =>

       Proc.new do |o|

diff --git a/lib/redmine/preparation.rb b/lib/redmine/preparation.rb

index 4c6b3afe6e..08b6c33fd9 100644

--- a/lib/redmine/preparation.rb

+++ b/lib/redmine/preparation.rb

@@ -383,6 +383,7 @@ module Redmine

       Search.map do |search|

         search.register :issues

+        search.register :time_entries

         search.register :news

         search.register :documents

         search.register :changesets

#2 - 2022-03-13 06:44 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2023-10-29 07:06 - Mischa The Evil

- Is duplicate of Feature #4138: Add spent time comments in search added

Files
add-spent-time-to-search.png 58.3 KB 2022-02-10 Yuichi HARADA

36059.patch 2.68 KB 2022-02-10 Yuichi HARADA
